Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.operation
Class FeatureWithLockResult

    java.lang.Object
      org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
          org.deegree.ogcwebservices.wfs.operation.FeatureResult
              org.deegree.ogcwebservices.wfs.operation.FeatureWithLockResult

All Implemented Interfaces:
  OGCWebServiceResponse

    public class FeatureWithLockResult

extends FeatureResult

Represents the response to a `GetFeatureWithLock` request.

For the `request`, a WFS must generate a result that includes the lock identifier.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`exception, request`

Constructor Summary
`FeatureWithLockResult(AbstractOGCWebServiceRequest request, String lockId, FeatureCollection featureCollection)` Creates a new instance of `FeatureWithLockResult`.

Method Summary
`String` | `getLockId()` Returns the lock id.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class org.deegree.ogcwebservices.wfs.operation.FeatureResult
`getResponse`

Methods inherited from class org.deegree.ogcwebservices.DefaultOGCWebServiceResponse
`getException, getRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeatureWithLockResult

    FeatureWithLockResult(AbstractOGCWebServiceRequest request,
                          String lockId,
                          FeatureCollection featureCollection)

  Creates a new instance of `FeatureWithLockResult`.

  Parameters:
    `request` -
    `lockId` -
    `featureCollection` -

Method Detail

### getLockId

    public String getLockId()

  Returns the lock id.

  Returns:
    the lock id

### toString

    public String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `FeatureResult`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org